JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExtensionsVisitor::AudioUnitClient Struct Referenceabstract
juce_audio_processors » utilities

Can be used to retrieve information about an AudioUnit that is wrapped by an AudioProcessor. More...

`#include <juce_ExtensionsVisitor.h>`

## Public Member Functions
virtual | ~AudioUnitClient ()=default
virtual AudioUnit | getAudioUnitHandle () const noexcept=0

## Detailed Description

Can be used to retrieve information about an AudioUnit that is wrapped by an AudioProcessor.

## Constructor & Destructor Documentation

## ◆ ~AudioUnitClient()

virtual ExtensionsVisitor::AudioUnitClient::~AudioUnitClient | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getAudioUnitHandle()

virtual AudioUnit ExtensionsVisitor::AudioUnitClient::getAudioUnitHandle | ( |  | ) | const
| pure virtual noexcept

The documentation for this struct was generated from the following file:

- juce_ExtensionsVisitor.h